package cn.vscoder.experiment_3.common;

/* 自定义一个对double型数据的小数点只显示2位的专用类 */

import java.text.NumberFormat;
import java.math.BigDecimal;

public class DecF
{
   public static String DecS(Double x) //方法：返回保留两位小数的字符串
   {
	   NumberFormat df = NumberFormat.getNumberInstance();
	   df.setMaximumFractionDigits(2);
	   return df.format(x);
   }

   public static double DecD(Double x) //方法：返回保留两位小数的Double值
   {
	    x = new BigDecimal(x)
			    .setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
		return x;
	}
}
